/*
 * Copyright 2008 Takao Sumitomo. All rights reserved.
 * 
 * Redistribution and use in source and binary forms,
 * with or without modification, are permitted provided 
 * that the following conditions are met:
 *
 *   1. Redistributions of source code must retain the 
 *      above copyright notice, this list of conditions
 *      and the following disclaimer.
 *   2. Redistributions in binary form must reproduce 
 *      the above copyright notice, this list of conditions
 *      and the following disclaimer in the documentation
 *      and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS''
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
 * BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL CONTRIBUTORS BE 
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * The views and conclusions contained in the software
 * and documentation are those of the authors and should not be
 * interpreted as representing official policies,
 * either expressed or implied.
 * 
 * @Author: Takao Sumitomo
 */
/*
 * 作成日: Feb 16, 2008
 */
package net.cattaka.converttosculpt.data;

/**
 * メッシュデータのサイズ情報。
 * メッシュデータの各頂点のx,y,zそれぞれの上限値、下限値を持つ。
 * 
 * @author cattaka
 */
public class SizeInfo
{
    private double minX;
    private double maxX;
    private double minY;
    private double maxY;
    private double minZ;
    private double maxZ;

    public SizeInfo()
    {
    }
    /**
     * Copy constructor.
     * @param src source
     */
    public SizeInfo(SizeInfo src)
    {
        this.set(src);
    }

    public void set(SizeInfo src) {
        this.minX = src.getMinX();
        this.minY = src.getMinY();
        this.minZ = src.getMinZ();
        this.maxX = src.getMaxX();
        this.maxY = src.getMaxY();
        this.maxZ = src.getMaxZ();
    }
    
    public double getMinX()
    {
        return minX;
    }
    public void setMinX(double minX)
    {
        this.minX = minX;
    }
    public double getMaxX()
    {
        return maxX;
    }
    public void setMaxX(double maxX)
    {
        this.maxX = maxX;
    }
    public double getMinY()
    {
        return minY;
    }
    public void setMinY(double minY)
    {
        this.minY = minY;
    }
    public double getMaxY()
    {
        return maxY;
    }
    public void setMaxY(double maxY)
    {
        this.maxY = maxY;
    }
    public double getMinZ()
    {
        return minZ;
    }
    public void setMinZ(double minZ)
    {
        this.minZ = minZ;
    }
    public double getMaxZ()
    {
        return maxZ;
    }
    public void setMaxZ(double maxZ)
    {
        this.maxZ = maxZ;
    }
    
    
}
