/*
 * Copyright 2008 Takao Sumitomo. All rights reserved.
 * 
 * Redistribution and use in source and binary forms,
 * with or without modification, are permitted provided 
 * that the following conditions are met:
 *
 *   1. Redistributions of source code must retain the 
 *      above copyright notice, this list of conditions
 *      and the following disclaimer.
 *   2. Redistributions in binary form must reproduce 
 *      the above copyright notice, this list of conditions
 *      and the following disclaimer in the documentation
 *      and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS''
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
 * BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL CONTRIBUTORS BE 
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * The views and conclusions contained in the software
 * and documentation are those of the authors and should not be
 * interpreted as representing official policies,
 * either expressed or implied.
 * 
 * @Author: Takao Sumitomo
 */
/*
 * 作成日: 2008/03/13
 */
package net.cattaka.converttosculpt.debug;

import net.cattaka.converttosculpt.data.BMath;
import net.cattaka.converttosculpt.data.BVector3d;
import net.cattaka.converttosculpt.data.BVector4d;

public class BMathTest
{
    public static void main(String[] args)
    {
        BVector3d[] ts = new BVector3d[4];
        ts[0] = new BVector3d(-1.0, 0.333334, 0.0);
        ts[1] = new BVector3d(-1.0, -0.333333, 0.0);
        ts[2] = new BVector3d(1.0, -0.333333, 0.0);
        ts[3] = new BVector3d(1.0, 0.333333, 0.0);
        
        BVector3d pos = new BVector3d( 0,0,0);
        BVector3d dir = new BVector3d(6.123233995736766E-17, 0.0, 1.0);
        
        BVector3d dest = new BVector3d();
        BVector3d destMin = new BVector3d();
        BVector3d destMax = new BVector3d();
        
        BVector4d plane = new BVector4d(0,0,1, -10);

        boolean f;
        f = BMath.calcIntersectPoint(dest, plane, pos, dir);
        System.out.println(f);
        System.out.println(dest);
        
        f = BMath.calcIntersectPoint(dest, ts[0], ts[1], ts[2], pos, dir);
        System.out.println(f);
        System.out.println(dest);
        
        f = BMath.calcIntersectPoint(dest, ts[2], ts[3], ts[0], pos, dir);
        System.out.println(f);
        System.out.println(dest);
    }
}
