/*
 * 作成日: 2008/03/13
 */
package net.cattaka.converttosculpt.debug;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileWriter;
import java.util.ArrayList;

import net.cattaka.converttosculpt.data.BMath;
import net.cattaka.converttosculpt.data.BVector3d;
import net.cattaka.converttosculpt.data.MeshData;
import net.cattaka.converttosculpt.logic.MeshUtil;
import net.cattaka.converttosculpt.logic.MeshConverterVrml;
import net.cattaka.converttosculpt.logic.MeshConverterX3d;


public class ForceConvertTest
{

    public static void main(String[] args)
    {
        try {
            FileInputStream fin = new FileInputStream("/home/cattaka/tmp/test.x3d");
            ArrayList<String> msgs = new ArrayList<String>();
            ArrayList<MeshData> mds = new ArrayList<MeshData>();
            new MeshConverterX3d().readMeshData(fin, mds, msgs);
            
            MeshData md = mds.get(0);
            int num = 4;
            boolean closeSideEdge = false;
            BVector3d pos = new BVector3d(0,0,0);
            BVector3d[][] dest = new BVector3d[num][num];
            for (int i=0;i<num;i++) {
                for (int j=0;j<num;j++) {
                    dest[i][j] = new BVector3d();
                }
            }
            BVector3d axisAngle = new BVector3d();
            
            System.out.println("mesh -> vector");
            
            BMath.calcSphereMap(dest, num, num, md, pos, axisAngle);
    
            System.out.println("vector -> mesh");
            MeshData convertedMeshData = MeshUtil.convertBVector3dToMeshData(md.getName(), dest, num, num, true);
            
            /*
            File fout = new File("/home/cattaka/tmp/test_out.x3d");
            System.out.println("mesh -> document");
            Document document = MeshConverter.convertMeshDataToDocument(convertedMeshData);
            System.out.println("document -> file");
            XMLConverter.writeXML(fout, document);
            */
            
            File fout = new File("/home/cattaka/tmp/test_out2.wrl");
            System.out.println("mesh -> Vrml");
            String vrmlStr = MeshConverterVrml.convertMeshDataToVrml(convertedMeshData);
            System.out.println("Vrml -> file");
            FileWriter writer = new FileWriter(fout);
            writer.write(vrmlStr);
            writer.close();
            
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}
